package com.fxy.bean;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * @Title: VideoModel.java
 * @Package
 * @Description: TODO
 * @author admin
 * @date 2016年10月19日 下午4:47:49
 * @version V1.0
 */
public class VideoModel implements Parcelable {

	public int tag ;
	public String videoPath = "";

	@Override
	public String toString() {
		return "VideoModel{" +
				"tag=" + tag +
				", videoPath='" + videoPath + '\'' +
				'}';
	}

	public VideoModel() {
	}

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeInt(this.tag);
		dest.writeString(this.videoPath);
	}

	protected VideoModel(Parcel in) {
		this.tag = in.readInt();
		this.videoPath = in.readString();
	}

	public static final Creator<VideoModel> CREATOR = new Creator<VideoModel>() {
		@Override
		public VideoModel createFromParcel(Parcel source) {
			return new VideoModel(source);
		}

		@Override
		public VideoModel[] newArray(int size) {
			return new VideoModel[size];
		}
	};
}
